---
title: GeolocationPositionError.code
slug: Web/API/GeolocationPositionError/code
tags:
  - API
  - Code
  - Geolocation API
  - GeolocationPositionError
  - Property
  - Secure context
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <code><strong>GeolocationPositionError.code</strong></code> read-only property is an <code>unsigned short</code> representing the error code.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>let typeErr</var> = <var>geolocationPositionErrorInstance</var>.code
</pre>

<h3 id="Value">Value</h3>

<p>An <code>unsigned short</code> representing the error code. The following values are possible:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Value</th>
   <th scope="col">Associated constant</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>1</code></td>
   <td><code>PERMISSION_DENIED</code></td>
   <td>The acquisition of the geolocation information failed because the page didn't have the permission to do it.</td>
  </tr>
  <tr>
   <td><code>2</code></td>
   <td><code>POSITION_UNAVAILABLE</code></td>
   <td>The acquisition of the geolocation failed because one or several internal sources of position returned an internal error.</td>
  </tr>
  <tr>
   <td><code>3</code></td>
   <td><code>TIMEOUT</code></td>
   <td>The time allowed to acquire the geolocation, defined by {{domxref("PositionOptions.timeout")}} information that was reached before the information was obtained.</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation', '#dom-geolocationpositionerror-code', 'PositionError.code')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GeolocationPositionError.code")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/WebAPI/Using_geolocation">Using geolocation</a></li>
 <li>{{domxref("GelocationPositionError")}}</li>
</ul>
